#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the
# Common Development and Distribution License (the "License").
# You may not use this file except in compliance with the License.
#
# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
# or http://www.opensolaris.org/os/licensing.
# See the License for the specific language governing permissions
# and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each
# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
# If applicable, add the following below this CDDL HEADER, with the
# fields enclosed by brackets "[]" replaced with your own identifying
# information: Portions Copyright [yyyy] [name of copyright owner]
#
# CDDL HEADER END
#
#
# Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
# Use is subject to license terms.
#

LIBRARY =	libdiskmgt.a
VERS =		.1
OBJECTS =	assoc_types.o \
		entry.o cache.o drive.o controller.o alias.o path.o \
                media.o slice.o partition.o findevs.o events.o \
                bus.o inuse_mnt.o inuse_svm.o inuse_lu.o inuse_fs.o \
                inuse_vxvm.o inuse_dump.o inuse_zpool.o

include ../../Makefile.lib

LIBS =		$(DYNLIB) $(LINTLIB)
LDLIBS +=	-ldevinfo -ladm -ldevid -lkstat -lsysevent \
		-lnvpair -lefi -lc
DYNFLAGS +=	-R/opt/VRTSvxvm/lib

SRCDIR =	../common
$(LINTLIB) :=	SRCS = $(SRCDIR)/$(LINTSRC)

CFLAGS +=	$(CCVERBOSE)
CPPFLAGS +=	-D_REENTRANT -I$(SRC)/lib/libdiskmgt/common 

.KEEP_STATE:

all: $(LIBS)

lint: lintcheck

include ../../Makefile.targ
